Bug 1201283 - [abrt] dnssec-trigger: pygobject_register_wrapper(): python2.7 killed by SIGSEGV
Summary: [abrt] dnssec-trigger: pygobject_register_wrapper(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pygobject2
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:533764de7c06f02403d9062b021...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 13:11 UTC by Charles R. Anderson
Modified: 2015-12-02 17:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:01:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (33.38 KB, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: cgroup (210 bytes, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: core_backtrace (6.55 KB, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: dso_list (6.92 KB, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: environ (123 bytes, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: maps (30.15 KB, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: open_fds (269 bytes, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
File: var_log_messages (210 bytes, text/plain)
2015-03-12 13:11 UTC, Charles R. Anderson
no flags Details
journal logs from dnssec-triggerd (30.47 KB, text/plain)
2015-03-12 13:51 UTC, Charles R. Anderson
no flags Details

Description Charles R. Anderson 2015-03-12 13:11:13 UTC
Description of problem:
Every time I resume from suspend, this happens.  My Fedora 21 laptop is a fresh install, of course kept up-to-date with "dnf update".

Version-Release number of selected component:
dnssec-trigger-0.12-18.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/libexec/dnssec-trigger-script --setup
crash_function: pygobject_register_wrapper
executable:     /usr/bin/python2.7
kernel:         3.18.4-200.fc21.x86_64
runlevel:       unknown
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pygobject_register_wrapper at pygobject.c:664
 #1 pygobject_constructv at gobjectmodule.c:995
 #2 pygobject_init at pygobject.c:1276
 #3 type_call at /usr/src/debug/Python-2.7.8/Objects/typeobject.c:745
 #4 PyObject_Call at /usr/src/debug/Python-2.7.8/Objects/abstract.c:2529
 #5 do_call at /usr/src/debug/Python-2.7.8/Python/ceval.c:4328
 #6 call_function at /usr/src/debug/Python-2.7.8/Python/ceval.c:4133
 #7 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.8/Python/ceval.c:2753
 #8 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.8/Python/ceval.c:3342
 #9 function_call at /usr/src/debug/Python-2.7.8/Objects/funcobject.c:526

Comment 1 Charles R. Anderson 2015-03-12 13:11:16 UTC
Created attachment 1000958 [details]
File: backtrace

Comment 2 Charles R. Anderson 2015-03-12 13:11:17 UTC
Created attachment 1000959 [details]
File: cgroup

Comment 3 Charles R. Anderson 2015-03-12 13:11:18 UTC
Created attachment 1000960 [details]
File: core_backtrace

Comment 4 Charles R. Anderson 2015-03-12 13:11:19 UTC
Created attachment 1000961 [details]
File: dso_list

Comment 5 Charles R. Anderson 2015-03-12 13:11:20 UTC
Created attachment 1000962 [details]
File: environ

Comment 6 Charles R. Anderson 2015-03-12 13:11:21 UTC
Created attachment 1000963 [details]
File: exploitable

Comment 7 Charles R. Anderson 2015-03-12 13:11:22 UTC
Created attachment 1000964 [details]
File: limits

Comment 8 Charles R. Anderson 2015-03-12 13:11:23 UTC
Created attachment 1000965 [details]
File: maps

Comment 9 Charles R. Anderson 2015-03-12 13:11:24 UTC
Created attachment 1000966 [details]
File: open_fds

Comment 10 Charles R. Anderson 2015-03-12 13:11:24 UTC
Created attachment 1000967 [details]
File: proc_pid_status

Comment 11 Charles R. Anderson 2015-03-12 13:11:25 UTC
Created attachment 1000968 [details]
File: var_log_messages

Comment 12 Charles R. Anderson 2015-03-12 13:51:09 UTC
Created attachment 1000998 [details]
journal logs from dnssec-triggerd

Here are the journal logs showing the crash in dnssec-trigger-script.

Comment 13 Tomáš Hozza 2015-07-01 13:59:40 UTC
Removing the blocking bug, since this seems to be not happening any more, after the SELinux policy update. Also there is no response from the assignee.

Comment 14 Fedora End Of Life 2015-11-04 11:17:39 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 10:01:18 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.